## ros-humble-aruco-msgs 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(aruco_msgs)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/Marker.msg"
  "msg/MarkerArray.msg"
  DEPENDENCIES std_msgs geometry_msgs
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-aruco-msgs (5.0.0-1jammy) jammy; urgency=high

  * added ament_lint test to the packages aruco and aruco_msgs
  * aruco_msgs - added the ament configuration to build ROS2 msgs
  * Contributors: Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-aruco-msgs (3.1.2-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-aruco-msgs (3.1.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-aruco-msgs (3.1.0-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-aruco-msgs (3.0.3-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 16 May 2022 00:00:00 -0000

ros-humble-aruco-msgs (3.0.2-1jammy) jammy; urgency=high

  * Merge pull request #103 from bmagyar/make-sai-maintainer
    Make Sai maintainer of all aruco_ros packages
  * Make Sai maintainer of all
  * Update license tags in the package.xml
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-aruco-msgs (3.0.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-humble-aruco-msgs (3.0.0-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 16 Jul 2021 00:00:00 -0000

ros-humble-aruco-msgs (2.1.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 17 Sep 2020 00:00:00 -0000

ros-humble-aruco-msgs (2.1.0-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 21 Jan 2020 00:00:00 -0000

ros-humble-aruco-msgs (2.0.2-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sat, 09 Nov 2019 00:00:00 -0000

ros-humble-aruco-msgs (2.0.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-aruco-msgs (1.0.0-1jammy) jammy; urgency=high

  * Merge branch 'indigo-devel' into kinetic-devel
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-aruco-msgs (0.2.2-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 25 Jul 2017 00:00:00 -0000

ros-humble-aruco-msgs (0.2.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 21 Jul 2017 00:00:00 -0000

ros-humble-aruco-msgs (0.2.0-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 19 Oct 2016 00:00:00 -0000

ros-humble-aruco-msgs (0.1.0-1jammy) jammy; urgency=high

  * Update changelogs and maintainer email
  * Contributors: Bence Magyar

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 10 Aug 2015 00:00:00 -0000

ros-humble-aruco-msgs (0.0.1-1jammy) jammy; urgency=high

  * Reorganize aruco_ros into 3 packages
  * Contributors: Bence Magyar

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 20 May 2015 00:00:00 -0000

=== debian/control ===
Source: ros-humble-aruco-msgs
Section: misc
Priority: optional
Maintainer: Sai Kishor Kothakota <sai.kishor@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-aruco-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: The aruco_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-aruco-msgs 5.0.5

=== debian/changelog ===
ros-humble-aruco-msgs (5.0.5-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-aruco-msgs (5.0.4-2bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-aruco-msgs (5.0.3-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-aruco-msgs (5.0.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 19 Mar 2023 16:00:00 -0000

ros-humble-aruco-msgs (5.0.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 05 Mar 2023 16:00:00 -0000

ros-humble-aruco-msgs (5.0.0-2bookworm) bookworm; urgency=high

  * added ament_lint test to the packages aruco and aruco_msgs
  * aruco_msgs - added the ament configuration to build ROS2 msgs
  * Contributors: Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-humble-aruco-msgs (3.1.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 09 Nov 2022 16:00:00 -0000

ros-humble-aruco-msgs (3.1.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 07 Nov 2022 16:00:00 -0000

ros-humble-aruco-msgs (3.1.0-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-aruco-msgs (3.0.3-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 15 May 2022 16:00:00 -0000

ros-humble-aruco-msgs (3.0.2-2bookworm) bookworm; urgency=high

  * Merge pull request #103 from bmagyar/make-sai-maintainer
    Make Sai maintainer of all aruco_ros packages
  * Make Sai maintainer of all
  * Update license tags in the package.xml
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-aruco-msgs (3.0.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 09 Feb 2022 16:00:00 -0000

ros-humble-aruco-msgs (3.0.0-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 15 Jul 2021 16:00:00 -0000

ros-humble-aruco-msgs (2.1.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 16 Sep 2020 16:00:00 -0000

ros-humble-aruco-msgs (2.1.0-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 20 Jan 2020 16:00:00 -0000

ros-humble-aruco-msgs (2.0.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 08 Nov 2019 16:00:00 -0000

ros-humble-aruco-msgs (2.0.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-aruco-msgs (1.0.0-2bookworm) bookworm; urgency=high

  * Merge branch 'indigo-devel' into kinetic-devel
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-aruco-msgs (0.2.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 24 Jul 2017 16:00:00 -0000

ros-humble-aruco-msgs (0.2.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 20 Jul 2017 16:00:00 -0000

ros-humble-aruco-msgs (0.2.0-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 18 Oct 2016 16:00:00 -0000

ros-humble-aruco-msgs (0.1.0-2bookworm) bookworm; urgency=high

  * Update changelogs and maintainer email
  * Contributors: Bence Magyar

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 09 Aug 2015 16:00:00 -0000

ros-humble-aruco-msgs (0.0.1-2bookworm) bookworm; urgency=high

  * Reorganize aruco_ros into 3 packages
  * Contributors: Bence Magyar

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 19 May 2015 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sai Kishor Kothakota <sai.kishor@pal-robotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
-Homepage: 
+Homepage: https://github.com/pal-robotics/aruco_ros
 Standards-Version: 3.9.2
 
 Package: ros-humble-aruco-msgs

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-aruco-msgs//opt/ros/humble/opt/aruco_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
